> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Add corner store to waiting list

> Add a corner store to a Propaga's waiting list

<RequestExample>
  ```bash Request theme={null}
  curl --location 'https://staging-api.propaga.io/v1/corner-store/waiting-list'
  --header 'Authorization: <your_awesome_token>'
  --header 'Content-Type: application/json'
  --data '{
      "externalCornerStoreId": "12345"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "waitingListId": "a5c48220-334b-48c9-bcc5-cc3f27cd9326"
  }
  ```
</ResponseExample>

## Body

<ParamField body="externalCornerStoreId" type="string" required>
  Wholesaler's customer ID
</ParamField>

## Response

<ResponseField name="waitingListId" type="string" />
